Package org.jboss.resteasy.spi.metadata

## Class SetterParameter

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.Parameter
  - - org.jboss.resteasy.spi.metadata.SetterParameter

-     public class SetterParameter
      extends Parameter

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.spi.metadata.Parameter

      `Parameter.ParamType`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Method` | `annotatedMethod` |
    `protected Method` | `setter` |

    - ### Fields inherited from class org.jboss.resteasy.spi.metadata.Parameter

      `defaultValue, encoded, genericType, paramName, paramType, resourceClass, type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SetterParameter​(ResourceClass declaredClass, Method setter, Method annotatedMethod)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AccessibleObject` | `getAccessibleObject()` |
    `Method` | `getAnnotatedMethod()` |
    `Annotation[]` | `getAnnotations()` |
    `Method` | `getSetter()` |

    - ### Methods inherited from class org.jboss.resteasy.spi.metadata.Parameter

      `getDefaultValue, getGenericType, getParamName, getParamType, getResourceClass, getType, isEncoded, setDefaultValue, setEncoded, setParamName, setParamType, setResourceClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### setter

          protected Method setter

    - #### annotatedMethod

          protected Method annotatedMethod

  - ### Constructor Detail

    - #### SetterParameter

          protected SetterParameter​(ResourceClass declaredClass,
                                    Method setter,
                                    Method annotatedMethod)

  - ### Method Detail

    - #### getSetter

          public Method getSetter()

    - #### getAnnotatedMethod

          public Method getAnnotatedMethod()

    - #### getAccessibleObject

          public AccessibleObject getAccessibleObject()

      Specified by:
        `getAccessibleObject` in class `Parameter`

    - #### getAnnotations

          public Annotation[] getAnnotations()

      Specified by:
        `getAnnotations` in class `Parameter`